Gecode::DFA::Transition Class Reference

Specification of a DFA transition. More...

`#include <int.hh>`

## Public Member Functions

| Transition (void)
| Transition (int i_state0, int symbol0, int o_state0)
| Initialize members.

## Public Attributes

int | i_state
| input state
int | symbol
| symbol
int | o_state
| output state Default constructor

## Detailed Description

Specification of a DFA transition.

Definition at line 2058 of file int.hh.

## Constructor & Destructor Documentation

## Transition() [1/2]

Gecode::DFA::Transition::Transition | ( | void |  | ) |

inline

Definition at line 201 of file dfa.hpp.

## Transition() [2/2]

Gecode::DFA::Transition::Transition | ( | int | i_state0,
|  | int | symbol0,
|  | int | o_state0 )

inline

Initialize members.

Definition at line 204 of file dfa.hpp.

## Member Data Documentation

## i_state

int Gecode::DFA::Transition::i_state

input state

Definition at line 2060 of file int.hh.

## symbol

int Gecode::DFA::Transition::symbol

symbol

Definition at line 2061 of file int.hh.

## o_state

int Gecode::DFA::Transition::o_state

output state Default constructor

Definition at line 2062 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/extensional/dfa.hpp